### Type parameters

- #### T

### Hierarchy

- Request<T, ScanRequest<T>, ScanInput, ScanResponse<T>>
  - ScanRequest

### Implements

- Pageable<T, ScanRequest<T>, ScanResponse<T>>

## Index

### Constructors

- constructor

### Properties

- dynamoRx
- logger
- metadata
- modelClazz
- params
- DEFAULT_LIMIT
- INFINITE_LIMIT

### Methods

- exclusiveStartKey
- exec
- execCount
- execFetchAll
- execFullResponse
- execNoMap
- execSingle
- index
- limit
- where
- whereAttribute

## Constructors

### constructor

- new ScanRequest(dynamoRx: DynamoRx, modelClazz: ModelConstructor<T>, tableName: string): ScanRequest

- Overrides Request.constructor

  - Defined in dynamo/request/scan/scan.request.ts:19

  #### Parameters

  - ##### dynamoRx: DynamoRx

  - ##### modelClazz: ModelConstructor<T>

  - ##### tableName: string

  #### Returns ScanRequest

## Properties

### dynamoRx

dynamoRx: DynamoRx

Inherited from BaseRequest.dynamoRx

- Defined in dynamo/request/base.request.ts:19

### Private logger

logger: Logger

- Defined in dynamo/request/scan/scan.request.ts:19

### metadata

metadata: Metadata<T>

Inherited from BaseRequest.metadata

- Defined in dynamo/request/base.request.ts:23

### modelClazz

modelClazz: ModelConstructor<T>

Inherited from BaseRequest.modelClazz

- Defined in dynamo/request/base.request.ts:21

### params

params: ScanInput

Inherited from BaseRequest.params

- Defined in dynamo/request/base.request.ts:20

### Static DEFAULT_LIMIT

DEFAULT_LIMIT: number = 10

Inherited from Request.DEFAULT_LIMIT

- Defined in dynamo/request/request.model.ts:17

### Static INFINITE_LIMIT

INFINITE_LIMIT: number = -1

Inherited from Request.INFINITE_LIMIT

- Defined in dynamo/request/request.model.ts:18

## Methods

### exclusiveStartKey

- exclusiveStartKey(key: Key | null): ScanRequest<T>

- Implementation of Pageable.exclusiveStartKey

  Inherited from Request.exclusiveStartKey

  - Defined in dynamo/request/request.model.ts:31

  #### Parameters

  - ##### key: Key | null

    A map representing the start id which is included in next call, if null is delivered startKey will be removed from params

  #### Returns ScanRequest<T>

### exec

- exec(): Observable<T[]>

- Overrides Request.exec

  - Defined in dynamo/request/scan/scan.request.ts:58

  #### Returns Observable<T[]>

### execCount

- execCount(): Observable<number>

- Implementation of Pageable.execCount

  Overrides Request.execCount

  - Defined in dynamo/request/scan/scan.request.ts:82

  #### Returns Observable<number>

### execFetchAll

- execFetchAll(): Observable<T[]>

- - Defined in dynamo/request/scan/scan.request.ts:97

  fetches all pages. may uses all provisionedOutput, therefore for client side use cases rather use pagedDatasource (exec)

  #### Returns Observable<T[]>

### execFullResponse

- execFullResponse(): Observable<ScanResponse<T>>

- Implementation of Pageable.execFullResponse

  Overrides Request.execFullResponse

  - Defined in dynamo/request/scan/scan.request.ts:36

  #### Returns Observable<ScanResponse<T>>

### execNoMap

- execNoMap(): Observable<ScanOutput>

- Overrides Request.execNoMap

  - Defined in dynamo/request/scan/scan.request.ts:53

  #### Returns Observable<ScanOutput>

### execSingle

- execSingle(): Observable<T | null>

- Overrides Request.execSingle

  - Defined in dynamo/request/scan/scan.request.ts:68

  #### Returns Observable<T | null>

### index

- index(indexName: string): ScanRequest<T>

- Inherited from Request.index

  - Defined in dynamo/request/request.model.ts:41

  #### Parameters

  - ##### indexName: string

  #### Returns ScanRequest<T>

### limit

- limit(limit: number): ScanRequest<T>

- Implementation of Pageable.limit

  Inherited from Request.limit

  - Defined in dynamo/request/request.model.ts:52

  #### Parameters

  - ##### limit: number

  #### Returns ScanRequest<T>

### where

- where(...conditionDefFns: ConditionExpressionDefinitionFunction[]): ScanRequest<T>

- - Defined in dynamo/request/scan/scan.request.ts:30

  #### Parameters

  - ##### Rest ...conditionDefFns: ConditionExpressionDefinitionFunction[]

  #### Returns ScanRequest<T>

### whereAttribute

- whereAttribute(attributePath: keyof T): RequestConditionFunction<ScanRequest<T>>

- - Defined in dynamo/request/scan/scan.request.ts:26

  #### Parameters

  - ##### attributePath: keyof T

  #### Returns RequestConditionFunction<ScanRequest<T>>

Generated using TypeDoc